# Gongor

Tool for producing identities

Anagram of "Gorgon".

## Actions

 * `cargo run -- create eli.key eli.publickey`: makes a new key.
 * `cargo run -- sign eli.key message.txt [message.sig]`: signs a message, optionally writes the signature to a file.
 * `cargo run -- validate eli.publickey message.txt message.signed`: validates a signature.

## TODO

 * Fix up the aegis generation script to ensure that I either have, or don't need, the extensions from Step CA:
   * X509v3 Key Usage: critical
   *  Certificate Sign, CRL Sign
   * X509v3 Basic Constraints: critical
   *  CA:TRUE, pathlen:1

## aegis-generate

This generates an initial ID, known as an 'aegis'. It uses [step-ca](https://smallstep.com/docs/step-cli/the-step-command/) defaults which puts the data files in `$HOME/.step`.
